HttpResponse::getETag
HttpResponse::getGzip
HttpResponse
PHP Manual

# HttpResponse::getFile

(PECL pecl_http >= 0.10.0)

HttpResponse::getFile — Get file

### Description

static string HttpResponse::getFile ( void )

Get the previously set file to be sent.

### Return Values

Returns the previously set path to the file to send as string.

### See Also

- HttpResponse::getData() - Get data
- HttpResponse::setData() - Set data
- HttpResponse::setFile() - Set file
- HttpResponse::getStream() - Get Stream
- HttpResponse::setStream() - Set stream

HttpResponse::getETag
HttpResponse::getGzip
HttpResponse
PHP Manual